package com.miteksystems.misnapextractioncontroller;

import androidx.annotation.Nullable;

import com.miteksystems.misnap.documents.BaseDocument;

public class MiSnapExtractionControllerResult {

    private final byte[] finalFrame;
    private final int[][] fourCorners;
    private final BaseDocument extractedData;

    public MiSnapExtractionControllerResult(byte[] finalFrame, int[][] fourCorners, @Nullable BaseDocument extractedData) {
        this.finalFrame = finalFrame;
        this.fourCorners = fourCorners;
        this.extractedData = extractedData;
    }

    public byte[] getFinalFrame() {
        return finalFrame;
    }

    public int[][] getFourCorners() {
        return fourCorners;
    }

    @Nullable
    public BaseDocument getExtractedData() {
        return extractedData;
    }
}
