package com.miteksystems.misnap.misnapworkflow_UX2.ui;

import android.util.Log;

import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

public class MiSnapFragmentFactory {

    public static final String MISNAP_CONTROLLER = "MISNAP_CONTROLLER";
    public static final String MISNAP_HYBRID_BARCODE_CONTROLLER = "MISNAP_HYBRID_BARCODE_CONTROLLER";
    public static final String MISNAP_EXTRACTION_CONTROLLER = "MISNAP_EXTRACTION_CONTROLLER";
    public static final String MISNAP_CREDIT_CARD_CONTROLLER = "MISNAP_CREDIT_CARD_CONTROLLER";
    public static final String MISNAP_BARCODE_CONTROLLER = "MISNAP_BARCODE_CONTROLLER";

    @Nullable
    public static Fragment loadControllerFragment(String controllerId) {
        switch(controllerId) {
            case MISNAP_CONTROLLER:
                return loadFragment("com.miteksystems.misnapcontroller.MiSnapFragment");
            case MISNAP_HYBRID_BARCODE_CONTROLLER:
                return loadFragment("com.miteksystems.misnaphybridcontroller.MiSnapHybridFragment");
            case MISNAP_EXTRACTION_CONTROLLER:
                return loadFragment("com.miteksystems.misnapextractioncontroller.MiSnapExtractionFragment");
            case MISNAP_CREDIT_CARD_CONTROLLER:
                return loadFragment("com.miteksystems.creditcardcontroller.CreditCardFragment");
            case MISNAP_BARCODE_CONTROLLER:
                return loadFragment("com.miteksystems.misnap.barcode.BarcodeFragment");
            default:
                return null;
        }
    }


    private static Fragment loadFragment(String fragmentClassName) {
        try {
            Class fragment = Class.forName(fragmentClassName);
            return (Fragment) fragment.newInstance();
        } catch (Exception e) {
            Log.e("MiSnapFragmentFactory", "Unable to load fragment! Did you include it's module in the build.gradle file?", e);
        }

        return null;
    }

}
